!set title=Calcul de vitesse
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
language=fr
leftrange=-5.000000
rightrange=5.000000
author=Bernadette PERRIN-RIOU
email=bpr@math.u-psud.fr
computeanswer=no
precision=10000

ansorder=r,r
varcnt=9
prevarcnt=8
postvarcnt=0
replycnt=2
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

tmp0=!randint 1, 6

val6=$[rint(10*$(tmp0))]
tmp0=!randint 1, 6

val7=$[rint(10*$(tmp0))]
tmp0=!randint 1, 6

val8=$[rint($(tmp0)*5)]
tmp0=!randint 1, 6

val9=$[rint($(tmp0)*5)]
val10=$[floor(10*($val6*$val8+$val7*$val9)/($val6+$val7))/10]
tmp0=!randint 1, 6

val11=$[rint(10*$(tmp0))]
tmp0=!randint 1, 6

val12=$[rint($(tmp0)*5)]
val13=$[floor(10*($val6*$val8+$val7*$val9+$val11*$val12)/($val6+$val7+$val11))/10]
oefsteps=reply1	reply2 
nextstep=!nosubst reply1	reply2 
!readproc oef/steps.proc
replytype1=units
replyname1=Vitesse moyenne
replygood1=$val10
replytype2=units
replyname2=Vitesse dans la dernière partie
replygood2=$val12
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Un motocycliste roule pendant $val6 mn à la vitesse de $val8 km/h et pendant $val7 mn à la vitesse de $val9 km/h.  			 
!if $m_step=1 
$()Quelle est sa vitesse moyenne ?  
!endif
$()			 
!if $m_step=2 
$()<p>Il roule ensuite pendant $val11 mn. Sa vitesse moyenne totale est de $val13 km/h.	Quelle est sa vitesse moyenne dans la dernière partie?	 
!endif
$()	<p>	<b><font color="purple">Les résultats seront toujours donnés avec un chiffre après la virgule et par défaut  en km/h.On écrira l'unité.</font></b>	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=6,7,8,9,11,13
embedcnt=0
